'use strict';


chrome.tabs.onActivated.addListener((activeInfo) => {
    console.log("Tab activated");
    reportCurrentUrl()
});

//chrome.tabs.onSelectionChanged.addListener(() => {
//  console.log("Tab changed");
//  reportCurrentUrl()
//})

chrome.windows.onFocusChanged.addListener(() => {
    // If a window is backgrounded this will still fire
    console.log("Window focus changed");
    reportCurrentUrl()
});

chrome.webNavigation.onDOMContentLoaded.addListener(() => {
    // If a window is backgrounded this will still fire, although the problem is solved by the subsequent tabs query
    console.log("Dom content loaded");
    reportCurrentUrl()
});

function reportCurrentUrl() {
    console.log("Reporting")
    let querying = browser.tabs.query({currentWindow: true, active: true});
    querying.then(logTabs, onError);
}

function logTabs(tabs) {
  // tabs[0].url requires the `tabs` permission
  console.log(tabs[0].url);
  let currentUrl = tabs[0].url
    
  chrome.runtime.sendNativeMessage( { url: currentUrl })
}

function onError(error) {
  console.log(`Error: ${error}`);
}
